#include<bits/stdc++.h>
using namespace std;
long long l,j,n,x,a;
int main(){
cin>>n>>x;
for(int i=1;i<=n;i++){
cin>>a;
l=max(l,a);
j=min(j,a);
}
if(x<j){
cout<<l-x;
}
else if(x>l){
cout<<x-j;
}
else{
int k=abs(l-x);
int m=abs(x-j);
if (k>m){
cout<<m+abs(l-j)-2;
}
if (m>k){
cout<<k+abs(j-l)-4;
}
}
return 0;
}